package com.red.circle.other.app.service.game.override.service;

import com.red.circle.other.app.dto.cmd.party3rd.*;

/**
 * Yomi游戏服务接口
 */
public interface YomiGameService {
    
    /**
     * 获取token
     */
    YomiTokenCO getToken(YomiGetTokenCmd cmd);
    
    /**
     * 获取用户信息
     */
    YomiUserInfoCO getUserInfo(YomiUserInfoCmd cmd);
    
    /**
     * 用户余额变动
     */
    YomiBalanceCO changeBalance(YomiChangeBalanceCmd cmd);
}